fiasco(3)

NAME
fiasco_coder - compress image files to a FIASCO file

SYNOPSIS
#include <fiasco.h>

int
fiasco_coder (char const * const * image_names,
const char * fiasco_name,
float quality,
const fiasco_c_options_t * options);

DESCRIPTION
The fiasco-coder() function compresses the image file(s) given by the list of image_names and creates the new FIASCO output file fiasco_name. Besides the approximation quality, several compression parameters can be adjusted by the class options (see fiasco_c_options_new(3)).

ARGUMENTS

image_names
    NULL terminated array of image filenames to process. If the first array element is "-" or a NULL pointer then FIASCO reads the image from standard input. Each array element either has to be an image filename or a template of the form:
    prefix[start-end{+,-}step]suffix Templates are useful when compressing video streams: e.g., if the template "img0[12-01-2].pgm" is given as array element, then FIASCO compresses the images img012.pgm, img010.pgm, ..., img002.pgm (in this order). If a filename is a relative path then the images are searched for in the current directory and in the (colon-separated) list of directories given by the environment variable FIASCO_IMAGES.

fiasco_name
    Name of the FIASCO output file. If the name is "-" or NULL then the file is produced on standard output. If fiasco_name is a relative path and the environment variable FIASCO_DATA is a (colon-separated) list of directories, then the output file is written to the first (writable) directory of this list. Otherwise, the current directory is used to store the output file.

quality
    Defines the quality of compression. Quality has to be a positive value, its typical range is 1.0 (worst) to 100.0 (best). Larger values are also allowed - at the cost of exploding encoding times.

options
    This "class" encapsulates the various coding and decoding parameters. Use the functions fiasco_c_options_new(3) and fiasco_c_options_delete(3) to create and delete an object of this class. Several member functions (see fiasco_c_options(3)) are available to change the default values.

RETURN VALUE
The function fiasco_coder() returns 1 if the FIASCO file has been successfully written. If an error has been catched during compression, 0 is returned - use the function fiasco_get_error_message(3) to get the last error message of FIASCO.

ENVIRONMENT
FIASCO_IMAGES
    Search path for image files. Default is "./".
FIASCO_DATA
    Search and save path for FIASCO files. Default is "./".

SEE ALSO
fiasco_c_options_new(3), fiasco_c_options_delete(3),
fiasco_c_options(3), fiasco_get_error_message(3)
Ullrich Hafner, Juergen Albert, Stefan Frank, and Michael Unger. Weighted Finite Automata for Video Compression, IEEE Journal on Selected Areas In Communications, January 1998
Ullrich Hafner. Low Bit-Rate Image and Video Coding with Weighted Finite Automata, Ph.D. thesis, Mensch & Buch Verlag, ISBN 3-89820-002-7, October 1999.

AUTHOR
Ullrich Hafner <hafner@bigfoot.de>